package cn.pluss.platform.appGuide;

import cn.pluss.platform.entity.AppGuide;
import cn.pluss.platform.mapper.AppGuideMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * app引导页 服务类
 * </p>
 *
 * @author Djh
 * @since 2021-06-03
 */
public interface AppGuideService extends IService<AppGuide> {

    /**
     * 根据code获取内容
     * @param code  页面code
     * @return      数据
     */
    default AppGuide getByCode(String code) {
        QueryWrapper<AppGuide> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("code", code);
        return getBaseMapper().selectOne(queryWrapper);
    }
}
